List survey instances
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "survey_schedule",
"id": "tdqYSbhl2En9Aue6iOr3",
"survey_id": "2XOADZ5X978jbJUbveb9",
"status": "active",
"send_at": "2026-06-15T09:00:00.000Z",
"timezone": "America/New_York",
"destination": {
"type": "slack_channel",
"slack_channel_id": "C1234567890",
"exclude_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"include_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"filters": {
"group_ids": [
"<string>"
],
"manager_status": "manager",
"countries": [
"<string>"
],
"work_location_ids": [
"<string>"
],
"excluded_user_ids": [
"<string>"
]
}
},
"include_future_members": true,
"frequency": "weekly",
"intro_message": "<string>",
"mandatory_completion": {
"enabled": false,
"reminder_interval_days": 3,
"max_reminder_window_days": 30,
"custom_reminder_message": null
},
"next_trigger_at": "2026-02-01T09:00:00.000Z",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-20T14:00:00.000Z",
"source": "standalone",
"track": {
"object": "track",
"id": "uty2xkZYYWo6f8Yx8KyG",
"name": "Onboarding"
},
"meta": {
"permissions": {
"can_view_results": true,
"can_clone": true,
"can_manage": true,
"can_edit": true,
"can_pause": true,
"can_resume": true,
"can_delete": true,
"can_activate": true,
"can_manage_admins": true
}
}
}
],
"has_more": false,
"url": "/v1/surveys/2XOADZ5X978jbJUbveb9/schedules"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Surveys
List survey instances
List the scheduled sends of a survey. Results are paginated, newest first.
GET
/
v1
/
surveys
/
{survey_id}
/
instances
List survey instances
curl --request GET \
--url https://api.doozy.live/v1/surveys/{survey_id}/instances \
--header 'x-api-key: <api-key>'import requests
url = "https://api.doozy.live/v1/surveys/{survey_id}/instances"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.doozy.live/v1/surveys/{survey_id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.doozy.live/v1/surveys/{survey_id}/instances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.doozy.live/v1/surveys/{survey_id}/instances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.doozy.live/v1/surveys/{survey_id}/instances")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.doozy.live/v1/surveys/{survey_id}/instances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"object": "survey_schedule",
"id": "tdqYSbhl2En9Aue6iOr3",
"survey_id": "2XOADZ5X978jbJUbveb9",
"status": "active",
"send_at": "2026-06-15T09:00:00.000Z",
"timezone": "America/New_York",
"destination": {
"type": "slack_channel",
"slack_channel_id": "C1234567890",
"exclude_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"include_user_with_values": [
{
"key": "team",
"value": "Engineering",
"match_method": "equals"
}
],
"filters": {
"group_ids": [
"<string>"
],
"manager_status": "manager",
"countries": [
"<string>"
],
"work_location_ids": [
"<string>"
],
"excluded_user_ids": [
"<string>"
]
}
},
"include_future_members": true,
"frequency": "weekly",
"intro_message": "<string>",
"mandatory_completion": {
"enabled": false,
"reminder_interval_days": 3,
"max_reminder_window_days": 30,
"custom_reminder_message": null
},
"next_trigger_at": "2026-02-01T09:00:00.000Z",
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-20T14:00:00.000Z",
"source": "standalone",
"track": {
"object": "track",
"id": "uty2xkZYYWo6f8Yx8KyG",
"name": "Onboarding"
},
"meta": {
"permissions": {
"can_view_results": true,
"can_clone": true,
"can_manage": true,
"can_edit": true,
"can_pause": true,
"can_resume": true,
"can_delete": true,
"can_activate": true,
"can_manage_admins": true
}
}
}
],
"has_more": false,
"url": "/v1/surveys/2XOADZ5X978jbJUbveb9/schedules"
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_not_found",
"message": "No such quiz: tYYueINbgmmyss8O3LiD",
"request_id": "req_8KSh4mNxQ1aZbPoLcVrT",
"param": "id",
"doc_url": "https://docs.doozy.live/api/errors#resource_not_found"
}
}Authorizations
Path Parameters
Query Parameters
Response
List of survey instances
Was this page helpful?